Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache
Interface SessionEnvironment.Monitor

All Known Implementing Classes:
  SynchronizedTransactions.AccumulatingMonitor

Enclosing interface:
  SessionEnvironment

    public static interface SessionEnvironment.Monitor

Method Summary
`void` | `recordAdd(String workspace, NodeKey key, Path path, Name primaryType, Set<Name> mixinTypes, Collection<Property> properties)` Add to the index the information about a node.
`void` | `recordChanged(long changedNodesCount)` Record total number of nodes that were affected
`void` | `recordRemove(String workspace, Iterable<NodeKey> keys)` Remove from the index for the given workspace all of the nodes with the supplied keys.
`void` | `recordUpdate(String workspace, NodeKey key, Path path, Name primaryType, Set<Name> mixinTypes, Iterator<Property> properties)` Update the index to reflect the new state of the node.

Method Detail

### recordAdd

    void recordAdd(String workspace,
                   NodeKey key,
                   Path path,
                   Name primaryType,
                   Set<Name> mixinTypes,
                   Collection<Property> properties)

  Add to the index the information about a node.

  Parameters:
    `workspace` - the workspace in which the node information should be available; may not be null
    `key` - the unique key for the node; may not be null
    `path` - the path of the node; may not be null
    `primaryType` - the primary type of the node; may not be null
    `mixinTypes` - the mixin types for the node; may not be null but may be empty
    `properties` - the properties of the node; may not be null but may be empty

### recordUpdate

    void recordUpdate(String workspace,
                      NodeKey key,
                      Path path,
                      Name primaryType,
                      Set<Name> mixinTypes,
                      Iterator<Property> properties)

  Update the index to reflect the new state of the node.

  Parameters:
    `workspace` - the workspace in which the node information should be available; may not be null
    `key` - the unique key for the node; may not be null
    `path` - the path of the node; may not be null
    `primaryType` - the primary type of the node; may not be null
    `mixinTypes` - the mixin types for the node; may not be null but may be empty
    `properties` - the properties of the node; may not be null but may be empty

### recordRemove

    void recordRemove(String workspace,
                      Iterable<NodeKey> keys)

  Remove from the index for the given workspace all of the nodes with the supplied keys.

  Parameters:
    `workspace` - the workspace in which the nodes were removed; may not be null
    `keys` - the keys for the nodes that are to be removed; may not be null

### recordChanged

    void recordChanged(long changedNodesCount)

  Record total number of nodes that were affected

  Parameters:
    `changedNodesCount` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.